/v1/list/credit_note

Get list of credit notes

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get list of credit notes. See List queries for a general introduction to list operations. Note that excessive usage will be considered unfair API usage.

Examples

Get all credit notes for a customer cust-007.

GET https://api.frisbii.com/v1/list/credit_note?customer=cust-007

Get settled invoices for January 2022 with amount 20000 in DKK

GET https://api.frisbii.com/v1/list/credit_note?amount=[20000;20000]&currency=DKK&from=2022-01-01&to=2022-02-01

Query Params
string

Time range from (inclusive). Local date and time (according to account timezone) on the form yyyy-MM-dd, yyyyMMdd, yyyy-MM-ddTHH:mm, yyyy-MM-ddTHH:mm:ss or yyyy-MM-ddTHH:mm:ss.SSS. Default from if no interval is given depends on the query. If the query limits on relation e.g. customer and/or subscription, the default from will be epoch 1970-01-01, otherwise one month before to

string

Time range to (exclusive). Local date and time (according to account timezone) on the form yyyy-MM-dd, yyyyMMdd, yyyy-MM-ddTHH:mm, yyyy-MM-ddTHH:mm:ss or yyyy-MM-ddTHH:mm:ss.SSS. Defaults to now.

string

Limit from to and interval back in time. E.g. one week. Will take precedence over from. Defined in ISO 8601 duration. See https://en.wikipedia.org/wiki/ISO_8601#Durations

int32
10 to 100
Defaults to 20

Page size between 10 and 100 (default 20)

string

Next page token from previous response to get next page

string
^[a-zA-Z0-9_\.\-@]*$

Credit note exact accounting number

string
^[a-zA-Z0-9_\.\-@]*$

Credit note accounting number prefix

string
^[a-zA-Z0-9_\.\-@]*$

Credit note accounting number contains

string

Amount in minor unit interval. See documentation of intervals.

string
^[a-zA-Z0-9_\.\-@]*$

Credit notes for customer by customer handle

currency
array of strings

Credit note currency in ISO 4217 three letter alpha code. Multiple can be defined.

currency
string
^[a-zA-Z0-9_\.\-@]*$

Credit note for subscription by subscription handle

string
^[a-zA-Z0-9_\.\-@]*$

Credit note for invoice by invoice handle

string

Credit notes for customer by debtor id

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json